CALIBREDB(1)

NAME
calibredb - calibredb

%prof commando [opties] [parameters]

calibredb is the command line interface to the calibre database. It has several sub-commands, documented below.

calibredb can be used to manipulate either a calibre database specified by path or a calibre Content server running either on the local machine or over the internet. You can start a calibre Content server using either the calibre-server program or in the main calibre program click Connect/share  → Start Content server. Since calibredb can make changes to your calibre libraries, you must setup authentication on the server first. There are two ways to do that:

•   If you plan to connect only to a server running on the same computer, you can simply use the --enable-local-write option of the content server, to allow any program, including calibredb, running on the local computer to make changes to your calibre data. When running the server from the main calibre program, this option is in Preferences → Sharing over the net → Advanced.

•   If you want to enable access over the internet, then you should setup user accounts on the server and use the --username and --password options to calibredb to give it access. You can setup user authentication for calibre-server by using the --enable-auth option and using --manage-users to create the user accounts. If you are running the server from the main calibre program, use Preferences → Sharing over the net → Require username/password.

    To connect to a running Content server, pass the URL of the server to the --with-library option, see the documentation of that option for details and examples.

•   ALGEMENE OPTIES

•   list

•   add

•   TOEVOEGEN UIT MAPPEN

•   remove

•   add_format

•   remove_format

•   show_metadata

•   set_metadata

•   export

•   catalog

•   EPUB OPTIES

•   saved_searches

•   add_custom_column

•   custom_columns

•   remove_custom_column

•   set_custom

•   restore_database

•   check_library

•   list_categories

•   backup_metadata

•   clone

•   embed_metadata

•   search

ALGEMENE OPTIES

--help, -h
    toon dit helpbericht en stop

--library-path, --with-library
    Pad naar calibrebibliotheek. Standaard wordt het pad gebruikt dat is opgeslagen in de instellingen. Je kan ook verbinden met een calibre Content server om wijzigingen te maken in bibliotheken op afstand. Om dit te doen, gebruik een URL van de vorm: http://hostname:port/#library_id bijvoorbeeld, http://localhost:8080/#mylibrary. library_id is de id van de bibliotheek waarmee je wilt verbinden op de Content server. Je kan de speciale library_id of gebruiken om een lijst te krijgen van alle beschikbare ids op de server. Voor meer informatie over het toegang krijgen tot een Content server, zie https://manual.calibre-ebook.com/nl/generated/nl/calibredb.html.

--password
    Wachtwoord om verbinding te maken met een calibre-contentserver. Gebruik de speciale waarde: <stdin> om het wachtwoord van de standaardinvoer te lezen. Om het wachtwoord van een bestand te lezen, gebruikt u: <f:/path/to/file> (d.w.z. <f: gevolgd door het volledige pad naar het bestand en een trailing>). De punthaken in het bovenstaande zijn vereist, onthoud om eraan te ontsnappen of gebruik aanhalingstekens voor je shell.

--username
    Gebruikersnaam voor het verbinden met een calibre Content server

--version
    toon programmaversie en stop

LIST

calibredb list [opties]

Geef de beschikbare boeken in de calibre-database weer.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ascending
    Sorteer resultaten in oplopende volgorde

--fields, -f
    De velden die zichtbaar zijn bij het opzoeken van boeken in de database. Dit is een lijst met komma-gescheiden waarden. Beschikbare velden: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Standaard: title,authors. Het speciale veld ‘all’ kan worden gebruikt om alle velden te selecteren. Heeft alleen een resultaat in txt-uitvoerformaat.

--for-machine
    Genereer uitvoer in JSON formaat, dit is veel beter voor machine verificatie. Zorgt ervoor dat de lengte van lijnen en de afscheidings opties genegeerd zullen worden.

--limit
    Het maximum aantal resultaten om weer te geven. Standaard: allen

--line-width, -w
    De maximale breedte van een enkele regel in de uitvoer. Standaard is dit hetzelfde als de schermgrootte.

--prefix
    De prefix voor mappaden. Standaard is het absolute pad naar de bibliotheekmap.

--search, -s
    Filter de resultaten op de zoekoperatie. Voor het indeling van de zoekopdracht kunt u de zoek-gerelateerde documentatie in de gebruikershandleiding raadplegen. Standaard word er niet gefilterd.

--separator
    De tekenreeks gebruikt om velden van elkaar te scheiden. Standaard is dit een spatie.

--sort-by
    Het veld waarop de resultaten worden gesorteerd. Beschikbare velden: author_sort, authors, comments, cover, formats, identifiers, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, size, tags, timestamp, title, uuid Standaard: id

ADD

calibredb add [opties] bestand1 bestand2 bestand3 ...

Voeg de opgegeven bestanden als boeken aan de database toe. Mappen kunnen ook worden opgegeven, zie de opties over mappen hieronder.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--authors, -a
    Stel de auteur in voor toegevoegde boek(en)

--cover, -c
    Pad naar de omslag voor het toegevoegde boek

--duplicates, -d
    Voeg boeken toe aan de database, zelfs als deze al bestaan. Vergelijking is gebaseerd op de boektitels.

--empty, -e
    Voeg een leeg boek toe (een boek dat van geen enkel formaat gebruikt maakt)

--identifier, -I
    Stel de identificatie voor dit boek in, bijvoorbeeld: -I zoals in:XXX -I isbn:YYY

--isbn, -i
    Stel het ISBN-nummer in voor toegevoegde boek(en)

--languages, -l
    Een door komma's gescheiden lijst van talen (het beste is om ISO639 taal codes te gebruiken, alhoewel sommige taal-namen ook herkend worden)

--series, -s
    Stel de reeks in voor toegevoegde boek(en)

--series-index, -S
    Stel het nummer in de reeks in voor toegevoegde boek(en)

--tags, -T
    Stel tags in voor toegevoegde boek(en)

--title, -t
    Stel de titel in voor toegevoegde boek(en)

  TOEVOEGEN UIT MAPPEN

Opties voor het instellen van boeken uit mappen. Standaard worden alleen bestanden toegevoegd die extensies hebben van bekende e-boekbestandstypen.

--add
    Een bestandsnaam (glob) patroon, bestanden die overeenkomen met dit patroon zullen worden toegevoegd bij het scannen van mappen naar bestanden, zelfs als ze geen bekend e-book bestandstype hebben. Kan meerdere keren worden opgegeven voor meerdere patronen.

--ignore
    Een zoekpatroon (glob of wildcards), bestanden die voldoen aan de voorwaarden van het patroon, worden genegeerd bij het scannen van bestanden. Kan meerdere keren worden opgegeven voor meerdere patronen. Bijvoorbeeld: *.pdf zal alle pdf-bestanden negeren

--one-book-per-directory, -1
    Neem aan dat iedere map slechts een enkel logisch boek bevat, en dat alle bestanden in de map verschillende bestandsformaten voor dat ene boek zijn

--recurse, -r
    Mappen recursief verwerken

REMOVE

calibredb verwijder ID's

Verwijder de boek indentificatioren van de database. ID's is een komma-gescheiden lijst van ID nummers (u kan ID nummers verkrijgen door het zoek commando te gebruiken). Bijvoorbeeld: 23,34,57-85 (bij opgave van een reeks, wordt het laatste nummer niet opgenomen).

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--permanent
    prullenbak niet gebruiken

ADD_FORMAT

calibredb add_format [opties] id ebook_file

Voeg het e-book in ebook_file toe aan de beschikbare formaten voor het logische boek geïdentificeerd door id. U kunt id krijgen door de zoekopdracht te gebruiken. Als het formaat al bestaat, wordt het vervangen, tenzij de optie Niet vervangen is opgegeven.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--dont-replace
    Vervang het formaat niet als het al bestaat

REMOVE_FORMAT

calibredb remove_format [opties] id fmt

Verwijder het formaat fmt van het logische boek geïdentificeerd door id. U kunt het id met het zoek-commando vinden. fmt is een bestandsextensie zoals LRF, TXT of EPUB. Als het logische boek niet in dit formaat bestaat zal er niets gebeuren.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

SHOW_METADATA

calibredb show_metadata [opties] id

Geef de metadata weer die in de calibre-database zijn opgeslagen voor het boek dat bij de id hoort. id is een nummer verkregen met het zoek-commando.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--as-opf
    Metadata in OPF-formaat (XML) afdrukken

SET_METADATA

calibredb set_metadata [options] id [/path/to/metadata.opf]

Instellen metadata opgeslagen in de calibre database voor het boek geïdentificeerd door id van het OPF-bestand metadata.opf. id is een id nummer van het zoekcommando (ls). U kunt een idee krijgen van het OPF formaat door de --as-opf parameter te gebruiken voor het show_metadata commando. U kunt ook de metadata van individuele velden instellen met de --field optie. Wanneer u de --field optie gebruikt, is er geen noodzaak een OPF-bestand te specificeren.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--field, -f
    Het veld om te zetten. Formaat is veld_naam:waarde, bijvoorbeeld: --field labels:label1,label2. Gebruik --list-fields om een lijst van alle veld namen te krijgen. U kunt deze optie meermalen gebruiken om meerdere velden te zetten. Opgelet: Voor talen moet u de ISO639 taal codes gebruiken (b.v. en voor Engels, fr voor Frans enzovoort). Voor identificatoren, de syntaxis is --field identifiers:isbn:XXXX,doi:YYYYY. Voor booleaans (ja/nee) velden gebruik waar en niet waar of ja en nee.

--list-fields, -l
    Toon de metadata veldnamen die kunnen worden gebruikt met de --field optie

EXPORT

calibredb export [opties] ids

Exporteer de boeken gespecificeerd door ids (een lijst gescheiden door komma's) naar het bestandssysteem. De exportoperatie bewaard alle formaten van het boek, de omslag en metadata (in een opf-bestand). U kunt id-nummers met het zoek-commando vinden.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Exporteer alle boeken in de database, negeer de lijst met id's.

--dont-asciiize
    Normaal gesproken zal calibre voor bestandsnamen alle niet-Engelse tekens automatisch omzetten naar Engelse equivalenten. WAARSCHUWING: als u dit uitschakelt kunt u tijdens het opslaan fouten tegenkomen, afhankelijk van hoe goed uw bestandssysteem unicode ondersteunt. Als u dit opgeeft zal het gedrag uitgeschakeld worden.

--dont-save-cover
    Normaal slaat calibre de omslag op in een apart bestand samen met de overige boekbestanden van het bijbehorende boek. Als u dit opgeeft zal het gedrag uitgeschakeld worden.

--dont-update-metadata
    Normaal gesproken zal calibre de metadata in opgeslagen bestanden bijwerken aan de hand van de informatie in de calibre-bibliotheek. Dit maakt opslaan op schijf langzamer. Als u dit opgeeft zal het gedrag uitgeschakeld worden.

--dont-write-opf
    Normaal gesproken, zal calibre de metadata in een apart OPF-bestand opslaan, samen met de daadwerkelijke E-boekbestanden. Als u dit opgeeft zal het gedrag uitgeschakeld worden.

--formats
    Kommagescheiden lijst van opslagformaten voor elk boek. Standaard worden alle formaten bewaard.

--progress
    Rapporteer voortgang

--replace-whitespace
    Vervang witruimte door lage streepjes (_).

--single-dir
    Exporteer alle boeken naar een enkele map

--template
    De sjabloon waarmee de bestandsnaam en mapstructuur van de opgeslagen bestanden wordt ingesteld. Standaard is dit ‘{author_sort}/{title}/{title} - {authors}’, dat boeken per auteur in een map plaatst, met als bestandsnaam de naam van de auteur en de titel. Beschikbare opties zijn: {author_sort, authors, id, isbn, languages, last_modified, pubdate, publisher, rating, series, series_index, tags, timestamp, title}

--timefmt
    Het formaat om data weer te geven. %d - dag, %b - maand, %m - maandnummer, %Y - jaar. Standaard is: %b, %Y

--to-dir
    Exporteer boeken naar de opgegeven map. Standaard is dit .

--to-lowercase
    Paden naar kleine letters omzetten.

CATALOG

calibredb catalog /path/naar/bestemming.(csv|epub|mobi|xml...) [options]

Exporteer een catalogus in een door path/naar/bestemming gespecifieerde extentie. Opties bepalen hoe de invoer in de gegenereerde catalogusuitvoer wordt weergegeven. Merk op dat verschillende catalogusformaten andere opties ondersteunen.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--ids, -i
    Kommagescheiden lijst met database-ID's om te catalogiseren. Indien gebruikt, zal --search genegeerd worden. Standaard: all

--search, -s
    Filter de resultaten met de zoekopdracht. Voor het formaat van de zoekopdracht, zie de zoekfunctionaliteit in de gebruikershandleiding. Standaard: geen filter

--verbose, -v
    Laat gedetailleerde uitvoerinformatie zien. Nuttig bij het opsporen van problemen

  EPUB OPTIES

--catalog-title
    Title of generated catalog used as title in metadata. Default: 'My Books' Applies to: AZW3, EPUB, MOBI output formats

--cross-reference-authors
    Create cross-references in Authors section for books with multiple authors. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--debug-pipeline
    Save the output from different stages of the conversion pipeline to the specified directory. Useful if you are unsure at which stage of the conversion process a bug is occurring. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--exclude-genre
    Regex describing tags to exclude as genres. Default: '[.+]|^+$' excludes bracketed tags, e.g. '[Project Gutenberg]', and '+', the default tag for read books. Applies to: AZW3, EPUB, MOBI output formats

--exclusion-rules
    Specifies the rules used to exclude books from the generated catalog. The model for an exclusion rule is either ('<rule name>','Tags','<comma-separated list of tags>') or ('<rule name>','<custom column>','<pattern>'). For example: (('Archived books','#status','Archived'),) will exclude a book with a value of 'Archived' in the custom column 'status'. When multiple rules are defined, all rules will be applied. Default: "(('Catalogs','Tags','Catalog'),)" Applies to: AZW3, EPUB, MOBI output formats

--generate-authors
    Include 'Authors' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-descriptions
    Include 'Descriptions' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-genres
    Include 'Genres' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-recently-added
    Include 'Recently Added' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-series
    Include 'Series' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--generate-titles
    Include 'Titles' section in catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

--genre-source-field
    Source field for 'Genres' section. Default: 'Labels' Applies to: AZW3, EPUB, MOBI output formats

--header-note-source-field
    Custom field containing note text to insert in Description header. Default: '' Applies to: AZW3, EPUB, MOBI output formats

--merge-comments-rule
    #<custom field>:[before|after]:[True|False] specifying: <custom field> Custom field containing notes to merge with Comments [before|after] Placement of notes with respect to Comments [True|False] - A horizontal rule is inserted between notes and Comments Default: '::' Applies to: AZW3, EPUB, MOBI output formats

--output-profile
    Specifies the output profile. In some cases, an output profile is required to optimize the catalog for the device. For example, 'kindle' or 'kindle_dx' creates a structured Table of Contents with Sections and Articles. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--prefix-rules
    Specifies the rules used to include prefixes indicating read books, wishlist items and other user-specified prefixes. The model for a prefix rule is ('<rule name>','<source field>','<pattern>','<prefix>'). When multiple rules are defined, the first matching rule will be used. Default: "(('Read books','tags','+','✓'),('Wishlist item','tags','Wishlist','×'))" Applies to: AZW3, EPUB, MOBI output formats

--preset
    Use a named preset created with the GUI catalog builder. A preset specifies all settings for building a catalog. Default: 'None' Applies to: AZW3, EPUB, MOBI output formats

--thumb-width
    Size hint (in inches) for book covers in catalog. Range: 1.0 - 2.0 Default: '1.0' Applies to: AZW3, EPUB, MOBI output formats

--use-existing-cover
    Replace existing cover when generating the catalog. Default: 'False' Applies to: AZW3, EPUB, MOBI output formats

SAVED_SEARCHES

calibredb saved_searches [options] (list|add|remove)

Beheer de opgeslagen zoekopdrachten in deze database. Als u een zoekopdracht met dezelfde naam wil opslaan, dan zal de oude vervangen worden.

Syntax om toe te voegen:

calibredb saved_searches add search_name search_expression

Syntax om te verwijderen:

calibredb saved_searches remove search_name

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

ADD_CUSTOM_COLUMN

calibredb add_custom_column [opties] label naam datatype

Creëer een zelf gedefinieerde kolom. label is de naam van de kolom die door de computer wordt gebruikt. Dit label mag geen spaties of dubbelepunten bevatten. name is de aan de menselijke taal aangepaste naam van de kolom. datatype één van: bool, comments, composite, datetime, enumeration, float, int, rating, series, text

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--display
    Een woordenboek van opties voor het aanpassen van hoe de gegevens in deze kolom worden geïnterpreteerd. Dit is een JSON tekenreeks. Voor kolommen met opsommingen gebruik --display"{\ "enum_values\ ":[\ "val1\ ", \ "val2\ "]}" Er bestaan vele opties voor de weergave variabele. De opties per kolomtype zijn: samenstelling: composite_template, composite_sort, make_category,contains_html, use_decorations datum/tijd: date_format opsomming: enum_values, enum_colors, use_decorations int, float: number_format tekst: is_names, use_decorations De beste manier om geldige combinaties te vinden is door het maken van een aangepaste kolom van het juiste type in de GUI en daarna in de back-up OPF zoeken naar een boek (verzeker u ervan dat er een nieuw OPF is aangemaakt nadat de kolom is toegevoegd). U zult de JSON zien voor de "weergave" van de nieuwe kolom in de OPF.

--is-multiple
    Deze kolom slaat informatie op als bij labels (waarden gescheiden door komma's). Van toepassing op datatype tekst.

CUSTOM_COLUMNS

calibredb custom_columns [options]

Lijst van beschikbare aangepaste kolommen. Geeft kolommen en ID's weer.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--details, -d
    Toon details voor iedere kolom.

REMOVE_CUSTOM_COLUMN

calibredb remove_custom_column [options] label

Verwijder de door het label geïdentificeerde aangepaste kolom. Je kan de beschikbare kolommen bekijken door het custom_columns commando te gebruiken.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--force, -f
    Niet om bevestiging vragen

SET_CUSTOM

calibredb set_custom [options] column id value

Stel de waarde van de aangepaste kolom in voor het boek, die geïdentificeerd is op ID. U kunt een lijst van ids krijgen met behulp van het zoek commando. U kunt een lijst met aangepaste kolomnamen krijgen met behulp van het custom_columns commando.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--append, -a
    Als de kolom meerde waardes bevat, voeg dan de opgegeven waarden aan de bestaande toe, in plaats van ze te vervangen.

RESTORE_DATABASE

calibredb restore_database [opties]

Herstel deze database met de metadata die opgeslagen zijn in de OPF-bestanden in elke map van de bibliotheek. Dit is nuttig als uw metadata.db-bestand corrupt is.

WAARSCHUWING: Dit zal uw database compleet herbouwen. U raakt alle bewaarde zoektermen, gebruikerscategorieën, adapters, conversie-instellingen en recepten kwijt. Herstelde metadata zullen slechts zo accuraat zijn als wat er gevonden is in de OPF-bestanden.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--really-do-it, -r
    Het herstel echt uitvoeren. Het commando zal niet uitgevoerd worden tenzij deze optie ingesteld is.

CHECK_LIBRARY

calibredb check_library [opties]

Voer controles uit op het bestandssysteem van de bibliotheek. Rapporten zijn invalid_titles, extra_titles, invalid_authors, extra_authors, missing_formats, extra_formats, extra_files, missing_covers, extra_covers, failed_folders

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--csv, -c
    Uitvoer naar CSV

--ignore_extensions, -e
    Kommagescheiden lijst van te negeren extensies. Standaard: all

--ignore_names, -n
    Kommagescheiden lijst van te negeren namen. Standaard: all

--report, -r
    Kommagescheiden lijst van rapporten. Standaard: all

LIST_CATEGORIES

calibredb list_categories [opties]

Maak een rapport van de categorie-informatie in de database. De informatie is gelijk aan wat er in het labelpaneel staat.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--categories, -r
    Kommagescheiden lijst van categorie-opzoeknamen. Standaard: all

--csv, -c
    Uitvoer naar CSV

--dialect
    Het type CSV bestand te maken. Keuzes excel, excel-tab

--item_count, -i
    Toon alleen het aantal items in een categorie in plaats van de aantallen per item binnen in de categorie

--width, -w
    De maximale breedte van een enkele regel in de uitvoer. Standaard is dit hetzelfde als de schermgrootte.

BACKUP_METADATA

calibredb backup_metadata [options]

Maak van de metadata opgeslagen in de database individuele reserve OPF bestanden in de map van elk boek. Normaal gebeurt dit automatisch, maar u kunt dit commando gebruiken om re-generatie van OPF files te forceren, met de --all optie.

Note that there is normally no need to do this, as the OPF files are backed up automatically, every time metadata is changed.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--all
    Normaal gesproken werkt dit commando enkel op boeken met verouderde OPF bestanden. Deze optie zorgt dat het op alle boeken werkt.

CLONE

calibredb clone path/to/new/library

Kloon de huidige bibliotheek. Dit maakt een nieuwe lege bibliotheek aan die dezelfde aangepaste kolommen, virtuele bibliotheken en andere instellingen als de huidige bevat.

De gekloonde bibliotheek zal geen boeken bevatten. Als u een echt duplicaat, inclusief alle boeken wilt maken, kunt u eenvoudigweg uw de bibliotheek map kopiëren in uw bestandsbeheer applicatie.

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

EMBED_METADATA

calibredb ingevoegde_metadata [opties] boek_id

Update de metadata in het eigenlijke boek file opgeslagen in calibre bibliotheek vanuit de metadata in de calibre databank. Normaal wordt metadata enkel geupdate wanneer files uit calibre worden geexporteerd, dit command is nuttig indien u wilt dat de bestanden worden geupdate in de plaats. Opgelet dat verschillende formaten verschillende hoeveelheden metadata ondersteuenen. U kan de speciale waarde "all" in plaats van boek_id om de metadata van alle boeken aan te passen. U kan ook verschillende boek IDs meegeven gescheiden door spaties en ID reeksen gesepareerd door koppeltekens. Bijvoorbeeld: calibredb ingevoegde_metadata 1 2 10-15 23

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--only-formats, -f
    Update alleen de metadata in specifieke bestands types. Gebruik dit meerdere keren om verschillende formaten aan te passen. Standaard worden alle formaten aangepast.

SEARCH

calibredb search [opties] zoek uitdrukking

Zoek de bibliotheek voor de specifieke zoek term, geeft een komma gescheiden lijst van boek IDs terug die overeen komen met de zoek uitdrukking. het uitvoer formaat is nuttig om andere commando's uit te voeren die een lijst van IDs aanvaarden als invoer

De zoekn expresie kan uit eender welke query uit calibres zoek systeem bestaan bijvoorbeeld: author:asimov title:robot

Whenever you pass arguments to calibredb that have spaces in them, enclose the arguments in quotation marks. For example: "/some path/with spaces"

--limit, -l
    Het maximum aantal resultaten om weer te geven. Standaard is alle resultaten

AUTHOR
Kovid Goyal

COPYRIGHT
Kovid Goyal